-- Test legal_text_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(31);

set search_path to camper, public;

select has_table('legal_text_i18n');
select has_pk('legal_text_i18n');
select col_is_pk('legal_text_i18n', array['company_id', 'slug', 'lang_tag']);
select col_is_fk('legal_text_i18n', array['company_id', 'slug']);
select fk_ok('legal_text_i18n', array['company_id', 'slug'], 'legal_text', array['company_id', 'slug']);
select table_privs_are('legal_text_i18n', 'guest', array['SELECT']);
select table_privs_are('legal_text_i18n', 'employee', array['SELECT']);
select table_privs_are('legal_text_i18n', 'admin', array['SELECT', 'INSERT', 'UPDATE', 'DELETE']);
select table_privs_are('legal_text_i18n', 'authenticator', array[]::text[]);

select has_column('legal_text_i18n', 'company_id');
select col_type_is('legal_text_i18n', 'company_id', 'integer');
select col_not_null('legal_text_i18n', 'company_id');
select col_hasnt_default('legal_text_i18n', 'company_id');

select has_column('legal_text_i18n', 'slug');
select col_type_is('legal_text_i18n', 'slug', 'text');
select col_not_null('legal_text_i18n', 'slug');
select col_hasnt_default('legal_text_i18n', 'slug');

select has_column('legal_text_i18n', 'lang_tag');
select col_is_fk('legal_text_i18n', 'lang_tag');
select fk_ok('legal_text_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('legal_text_i18n', 'lang_tag', 'text');
select col_not_null('legal_text_i18n', 'lang_tag');
select col_hasnt_default('legal_text_i18n', 'lang_tag');

select has_column('legal_text_i18n', 'name');
select col_type_is('legal_text_i18n', 'name', 'text');
select col_not_null('legal_text_i18n', 'name');
select col_hasnt_default('legal_text_i18n', 'name');

select has_column('legal_text_i18n', 'content');
select col_type_is('legal_text_i18n', 'content', 'xml');
select col_not_null('legal_text_i18n', 'content');
select col_hasnt_default('legal_text_i18n', 'content');


select *
from finish();

rollback;

